ustrncmp(3)

NAME
ustrncmp - Compares up to n letters of two strings. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int ustrncmp(const char *s1, const char *s2, int n);

DESCRIPTION
This function compares up to `n' characters of `s1' and `s2'. Example:
   if (ustrncmp(prefix, long_string, ustrlen(prefix)) == 0) {
      /* long_string starts with prefix */
   }

RETURN VALUE
Returns zero if the substrings are equal, a positive number if `s1' comes after `s2' in the ASCII collating sequence, else a negative number.

SEE ALSO
uconvert(3), ustrsize(3), ustrsizez(3), ustrcmp(3), ustricmp(3), ustrnicmp(3)